### Hierarchy

- DeepCopy<AcceptedField>
  - AcceptedField

## Index

### Constructors

- constructor

### Properties

- access
- pass

### Methods

- copy
- deepCopyFromJson
- getClass
- toJson

## Constructors

### constructor

- new AcceptedField(pass?: string, access?: AccessRight): AcceptedField

- - Defined in utils/keypair/AcceptedField.ts:7

  #### Parameters

  - ##### Optional pass: string

  - ##### Optional access: AccessRight

  #### Returns AcceptedField

## Properties

### access

access: AccessRight

- Defined in utils/keypair/AcceptedField.ts:7

### pass

pass: string

- Defined in utils/keypair/AcceptedField.ts:6

## Methods

### copy

- copy(changeArgs?: JsonObject<AcceptedField>): AcceptedField

- Inherited from DeepCopy.copy

  - Defined in repository/models/DeepCopy.ts:11

  #### Parameters

  - ##### Optional changeArgs: JsonObject<AcceptedField>

  #### Returns AcceptedField

### Protected deepCopyFromJson

- deepCopyFromJson(): AcceptedField

- Inherited from DeepCopy.deepCopyFromJson

  - Defined in repository/models/DeepCopy.ts:22

  #### Returns AcceptedField

### Protected getClass

- getClass(): ClassCreator<AcceptedField>

- Overrides DeepCopy.getClass

  - Defined in utils/keypair/AcceptedField.ts:19

  #### Returns ClassCreator<AcceptedField>

### toJson

- toJson(): object

- Overrides JsonTransform.toJson

  - Defined in utils/keypair/AcceptedField.ts:15

  #### Returns object

Generated using TypeDoc